Subject: bug#9674: 24.0.90; Closing an emacsclient frame always kills daemon

From: Chong Yidong <[email-masked]>
Date: Thu, 06 Oct 2011 11:17:14 -0400

Damien Cassou <[email-masked]> writes:

> When I launch:
>
> $ lib-src/emacsclient --alternate-editor="" -c ~/.bashrc
>
> the daemon is created from /usr/bin/emacs and not from the ./src/emacs
> that I have just compiled.

Yes, emacsclient runs just "emacs --daemon" in this case; it would not
be easy to get it to figure out how that it has to run a non-default
Emacs.

I don't understand why that would be a problem, though.  Are you saying
that when "emacs --daemon" is invoked in this way, subsequent attempts
to connect to the daemon from the same emacsclient fails?